From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-simulation/openttd/
Date: Thu, 1 Oct 2020 15:47:41 +0000 (UTC) [thread overview]
Message-ID: <1601567229.d459427de08494405f9d2595aa166c3aba3c905d.chewi@gentoo> (raw)
commit: d459427de08494405f9d2595aa166c3aba3c905d
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 1 15:47:09 2020 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Oct 1 15:47:09 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d459427d
games-simulation/openttd: Version bump to 1.10.3
Closes: https://github.com/gentoo/gentoo/pull/17726
Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
games-simulation/openttd/Manifest | 1 +
games-simulation/openttd/openttd-1.10.3.ebuild | 183 +++++++++++++++++++++++++
2 files changed, 184 insertions(+)
diff --git a/games-simulation/openttd/Manifest b/games-simulation/openttd/Manifest
index 68ea367c705..9a48131e52a 100644
--- a/games-simulation/openttd/Manifest
+++ b/games-simulation/openttd/Manifest
@@ -1 +1,2 @@
DIST openttd-1.10.2-source.tar.xz 6766904 BLAKE2B 959d3ba98022d3fd3ddb15844bc2d6f5eb54b470e2dfebdcd784428c1773585c116dd739bd6718879ac6d6ac6942737cd51b71bc77d6d82991fdcea1bc8aec1a SHA512 03de85449a458c76c07d8a28c34f72bc95ab0652c666e5925da43746cdd4e95b0d66360b6e214d1df33f11b5346da2e3b9ca6832ac6628c7d6e5e0a791881683
+DIST openttd-1.10.3-source.tar.xz 6815924 BLAKE2B f700304e723fe5c3fa9781432a387e061595bbc8de42f565ad57ac265d9e4bc14cbc659a3f6551019bfb31b8b56b180c272c6753a12b4cd2e13016a98dfe1679 SHA512 d1cd535e8e49f0ac147704341287af1b16bde6725fd9152dd36dcb780559b400da8bb31c4e8eb665a0d11e9b1f5bf8a96be0f97f7a85bd967eec534fdd3dd0d4
diff --git a/games-simulation/openttd/openttd-1.10.3.ebuild b/games-simulation/openttd/openttd-1.10.3.ebuild
new file mode 100644
index 00000000000..acf83d2f955
--- /dev/null
+++ b/games-simulation/openttd/openttd-1.10.3.ebuild
@@ -0,0 +1,183 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs xdg
+
+MY_PV="${PV/_rc/-RC}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="OpenTTD is a clone of Transport Tycoon Deluxe"
+HOMEPAGE="https://www.openttd.org/"
+if [[ "${PV}" == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/OpenTTD/OpenTTD.git"
+else
+ SRC_URI="https://proxy.binaries.openttd.org/openttd-releases/${MY_PV}/${MY_P}-source.tar.xz"
+ KEYWORDS="~amd64 ~ppc64 ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="aplaymidi debug dedicated iconv icu +lzma lzo +openmedia +png cpu_flags_x86_sse +timidity +truetype zlib"
+RESTRICT="test" # needs a graphics set in order to test
+
+RDEPEND="!dedicated? (
+ media-libs/libsdl2[sound,video]
+ icu? (
+ dev-libs/icu-layoutex
+ dev-libs/icu-le-hb
+ >=dev-libs/icu-58.1:=
+ )
+ truetype? (
+ media-libs/fontconfig
+ media-libs/freetype:2
+ sys-libs/zlib:=
+ )
+ )
+ lzma? ( app-arch/xz-utils )
+ lzo? ( dev-libs/lzo:2 )
+ iconv? ( virtual/libiconv )
+ png? (
+ media-libs/libpng:0
+ sys-libs/zlib:=
+ )
+ zlib? ( sys-libs/zlib:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig"
+PDEPEND="
+ !dedicated? (
+ openmedia? (
+ games-misc/openmsx
+ games-misc/opensfx
+ )
+ aplaymidi? ( media-sound/alsa-utils )
+ !aplaymidi? ( timidity? ( media-sound/timidity++ ) )
+ )
+ openmedia? ( >=games-misc/opengfx-0.4.7 )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.9.0-cflags.patch
+ "${FILESDIR}"/${PN}-1.9.0-dont_compress_manpages.patch
+)
+
+src_configure() {
+ local myopts=(
+ --binary-dir="bin"
+ --disable-strip
+ --doc-dir="share/doc/${PF}"
+ --install-dir="${D}"
+ --menu-group="Game;Simulation;"
+ --prefix-dir="${EPREFIX}/usr"
+ $(use_with cpu_flags_x86_sse sse)
+ $(use_with iconv)
+ $(use_with lzma)
+ $(use_with lzo liblzo2)
+ $(use_with png)
+ $(usex debug '--enable-debug=3' '')
+ # there is an allegro interface available as well as sdl, but
+ # the configure for it looks broken so the sdl interface is
+ # always built instead.
+ --without-allegro
+
+ --without-fluidsynth
+ )
+
+ if use dedicated ; then
+ myopts+=( --enable-dedicated )
+ else
+ myopts+=(
+ $(usex aplaymidi '--with-midi=/usr/bin/aplaymidi' '')
+ $(use_with truetype freetype)
+ $(use_with icu)
+ --with-sdl
+ )
+ fi
+ if use png || { use !dedicated && use truetype; } || use zlib ; then
+ myopts+=( --with-zlib )
+ else
+ myopts+=( --without-zlib )
+ fi
+
+ # configure is a hand-written bash-script, so econf will not work.
+ # It's all built as C++, upstream uses CFLAGS internally.
+ CC=$(tc-getCC) CXX=$(tc-getCXX) CFLAGS="" ./configure ${myopts[@]} || die
+}
+
+src_compile() {
+ emake VERBOSE=1
+}
+
+src_install() {
+ default
+ if use dedicated ; then
+ newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
+ rm -rf "${ED}"/usr/share/{applications,icons,pixmaps} || die
+ fi
+ rm -f "${ED}"/usr/share/doc/${PF}/COPYING || die
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ if ! use lzo ; then
+ elog "OpenTTD was built without 'lzo' in USE. While 'lzo' is not"
+ elog "required, disabling it does mean that loading old savegames"
+ elog "or scenarios from ancient versions (~0.2) will fail."
+ elog
+ fi
+
+ if use dedicated ; then
+ ewarn "Warning: The init script will kill all running openttd"
+ ewarn "processes when triggered, including any running client sessions!"
+ else
+ if use aplaymidi ; then
+ elog "You have emerged with 'aplaymidi' for playing MIDI."
+ elog "This option is for those with a hardware midi device,"
+ elog "or who have set up ALSA to handle midi ports."
+ elog "You must set the environment variable ALSA_OUTPUT_PORTS."
+ elog "Available ports can be listed by using 'aplaymidi -l'."
+ else
+ if ! use timidity ; then
+ elog "OpenTTD was built with neither 'aplaymidi' nor 'timidity'"
+ elog "in USE. Music may or may not work in-game. If you happen"
+ elog "to have timidity++ installed, music will work so long"
+ elog "as it remains installed, but OpenTTD will not depend on it."
+ fi
+ fi
+ if ! use openmedia ; then
+ elog
+ elog "OpenTTD was compiled without the 'openmedia' USE flag."
+ elog
+ elog "In order to play, you must at least install:"
+ elog "games-misc/opengfx, and games-misc/opensfx, or copy the "
+ elog "following 6 files from a version of Transport Tycoon Deluxe"
+ elog "(windows or DOS) to ~/.openttd/data/ or"
+ elog "${GAMES_DATADIR}/${PN}/data/."
+ elog
+ elog "From the WINDOWS version you need: "
+ elog "sample.cat trg1r.grf trgcr.grf trghr.grf trgir.grf trgtr.grf"
+ elog "OR from the DOS version you need: "
+ elog "SAMPLE.CAT TRG1.GRF TRGC.GRF TRGH.GRF TRGI.GRF TRGT.GRF"
+ elog
+ elog "File names are case sensitive, but should work either with"
+ elog "all upper or all lower case names"
+ elog
+ elog "In addition, in-game music will be unavailable: for music,"
+ elog "install games-misc/openmsx, or use the in-game download"
+ elog "functionality to get a music set"
+ elog
+ fi
+ fi
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}
next reply other threads:[~2020-10-01 15:47 UTC|newest]
Thread overview: 45+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-10-01 15:47 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-24 7:12 [gentoo-commits] repo/gentoo:master commit in: games-simulation/openttd/ Sam James
2023-08-01 7:09 Sam James
2023-08-01 7:09 Sam James
2023-06-27 11:28 Sam James
2023-06-14 2:48 Sam James
2023-04-16 7:33 Sam James
2023-03-09 20:13 Ionen Wolkens
2023-02-08 21:13 Sam James
2022-04-12 7:54 Sam James
2021-11-12 1:31 Sam James
2021-10-24 4:06 Sam James
2021-10-24 4:06 Sam James
2021-08-14 3:48 Sam James
2021-08-07 5:36 Sam James
2021-04-06 18:18 Sam James
2020-11-11 11:22 Lars Wendler
2020-11-11 11:22 Lars Wendler
2020-06-05 8:37 Stefan Strogin
2020-06-05 8:28 Stefan Strogin
2020-04-16 20:44 James Le Cuirot
2020-04-16 20:44 James Le Cuirot
2020-04-16 20:44 James Le Cuirot
2020-04-14 21:59 James Le Cuirot
2019-10-14 12:10 Lars Wendler
2019-07-09 10:03 Lars Wendler
2019-07-09 10:03 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-03 12:20 Lars Wendler
2018-07-16 9:21 Lars Wendler
2018-03-27 12:39 Lars Wendler
2018-02-04 6:06 Lars Wendler
2017-09-30 4:58 Michael Palimaka
2017-09-30 4:58 Michael Palimaka
2017-07-18 23:06 Lars Wendler
2017-06-14 22:21 James Le Cuirot
2017-05-15 13:15 Lars Wendler
2017-01-01 17:19 Lars Wendler
2016-12-26 17:04 Lars Wendler
2016-11-08 8:35 Lars Wendler
2016-11-06 15:26 Lars Wendler
2016-11-06 15:26 Lars Wendler
2016-02-14 10:11 Agostino Sarubbo
2016-01-15 9:03 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601567229.d459427de08494405f9d2595aa166c3aba3c905d.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox